Table of Contents

Class: CvsCommandDialog | eric3/VCS/cvsPackage/CommandDialog.py
--- | ---

### Class implementing the CVS command dialog.

It implements a dialog that is used to enter an arbitrary cvs command. It asks the user to enter the commandline parameters and the working directory.

Base Classes |
--- | ---
CommandForm

Methods |
--- | ---
__init__ enableOkButton getData handleDir
| __init__

    __init__ (
            self,
            argvList,
            wdList,
            ppath,
            parent=None,
            )

### Constructor

#### Arguments

argvList
  history list of commandline arguments (QStringList)
wdList
  history list of working directories (QStringList)
ppath
  pathname of the project directory (string)
parent
  parent widget of this dialog (QWidget)

| enableOkButton

    enableOkButton ( self,  text )

### Private method used to enable/disable the OK-button.

#### Arguments

text
  ignored

| getData

    getData ( self )

### Public method to retrieve the data entered into this dialog.

#### Returns

a tuple of argv, workdir

| handleDir

    handleDir ( self )

Private method used to open a directory selection dialog.

Table of Contents

This document was automatically generated by HappyDoc version 2.1